'use strict';

exports.__esModule = true;

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ('value' in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

function _inherits(subClass, superClass) { if (typeof superClass !== 'function' && superClass !== null) { throw new TypeError('Super expression must either be null or a function, not ' + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var DevToolsProvider = (function (_Component) {
  _inherits(DevToolsProvider, _Component);

  function DevToolsProvider() {
    _classCallCheck(this, DevToolsProvider);

    _Component.apply(this, arguments);
  }

  DevToolsProvider.prototype.render = function render() {
    var _props = this.props;
    var store = _props.store;
    var children = _props.children;

    if (!store) {
      return null;
    }

    var devToolsStore = store.devToolsStore;

    if (!devToolsStore) {
      return null;
    }

    return _react2['default'].createElement(
      _reactRedux.Provider,
      { store: devToolsStore },
      children
    );
  };

  _createClass(DevToolsProvider, null, [{
    key: 'propTypes',
    value: {
      store: function store(props, propName, componentName) {
        if (!props.store) {
          return new Error('Required prop `store` was not specified in `' + componentName + '`.');
        }
        if (!props.store.devToolsStore) {
          return new Error('Could not find the DevTools store inside the `store` prop passed to `' + componentName + '`. Have you applied the devTools() store enhancer?');
        }
      }
    },
    enumerable: true
  }]);

  return DevToolsProvider;
})(_react.Component);

exports['default'] = DevToolsProvider;
module.exports = exports['default'];